#pragma once
#include <map>
struct Fish_DiceFishCFGData
{
	//ÂÖ´Î
	int mRotation;
	//±¶ÂÊ
	int mMagnification;
	//¸ÅÂÊ
	int mProbability;
};

class Fish_DiceFishCFG
{
public:
private:
	static std::auto_ptr<Fish_DiceFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_DiceFishCFGData* GetData(int Rotation);
	const std::map<int, Fish_DiceFishCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_DiceFishCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_DiceFishCFGData> mMapData;
};
